<?xml version="1.0" encoding="UTF-8"?>
<ApprovalProcess xmlns="http://soap.sforce.com/2006/04/metadata">
    <active>false</active>
    <allowRecall>true</allowRecall>
    <allowedSubmitters>
        <submitter>EchoStarSystemAdministrator</submitter>
        <type>role</type>
    </allowedSubmitters>
    <allowedSubmitters>
        <submitter>lee.hirsch@dish.com</submitter>
        <type>user</type>
    </allowedSubmitters>
    <allowedSubmitters>
        <submitter>shrese.rudd@dish.com</submitter>
        <type>user</type>
    </allowedSubmitters>
    <approvalPageFields>
        <field>Name</field>
        <field>Assigned_Project_Manger__c</field>
        <field>Capex__c</field>
        <field>Status__c</field>
    </approvalPageFields>
    <approvalStep>
        <allowDelegate>false</allowDelegate>
        <approvalActions>
            <action>
                <name>Executive_Summary_for_GMOpsApproval</name>
                <type>Alert</type>
            </action>
            <action>
                <name>GM_OPS_In_Review</name>
                <type>FieldUpdate</type>
            </action>
        </approvalActions>
        <assignedApprover>
            <approver>
                <name>taylor.sharma@dish.com</name>
                <type>user</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <description>: Lee Hirsch, Shrese Rudd</description>
        <label>FO Approval</label>
        <name>FO_Approval</name>
        <rejectionActions>
            <action>
                <name>Executive_Summary_FO_Rejection</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Status_equals_FO_Reject</name>
                <type>FieldUpdate</type>
            </action>
        </rejectionActions>
    </approvalStep>
    <approvalStep>
        <allowDelegate>false</allowDelegate>
        <approvalActions>
            <action>
                <name>Status_GM_OPS_Approved</name>
                <type>FieldUpdate</type>
            </action>
            <action>
                <name>Step_1_Executive_Summary_MDU_Approval_by_the_GM_of_OPS</name>
                <type>Alert</type>
            </action>
        </approvalActions>
        <assignedApprover>
            <approver>
                <name>taylor.sharma@dish.com</name>
                <type>user</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <description>Greg</description>
        <label>General Manager Operations</label>
        <name>General_Manager_Operations</name>
        <rejectBehavior>
            <type>RejectRequest</type>
        </rejectBehavior>
        <rejectionActions>
            <action>
                <name>Status_GM_OPS_Rejected</name>
                <type>FieldUpdate</type>
            </action>
            <action>
                <name>Step_1_Executive_Summary_MDU_Rejection_by_the_GM_of_OPS</name>
                <type>Alert</type>
            </action>
        </rejectionActions>
    </approvalStep>
    <approvalStep>
        <allowDelegate>false</allowDelegate>
        <approvalActions>
            <action>
                <name>Status_GM_Sales_Approved_Pending_SVP_R</name>
                <type>FieldUpdate</type>
            </action>
            <action>
                <name>Step_2_Executive_Summary_MDU_Approval_by_the_GM_of_OPS</name>
                <type>Alert</type>
            </action>
        </approvalActions>
        <assignedApprover>
            <approver>
                <name>john.duong@dish.com</name>
                <type>user</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <description>Grice</description>
        <entryCriteria>
            <criteriaItems>
                <field>Executive_Summary__c.Status__c</field>
                <operation>equals</operation>
                <value>GM OPS Approved - Pending GM Sales Review</value>
            </criteriaItems>
        </entryCriteria>
        <ifCriteriaNotMet>ApproveRecord</ifCriteriaNotMet>
        <label>General Manager Sales</label>
        <name>General_Manager_Sales</name>
        <rejectBehavior>
            <type>RejectRequest</type>
        </rejectBehavior>
        <rejectionActions>
            <action>
                <name>Status_GM_Sales_Rejected</name>
                <type>FieldUpdate</type>
            </action>
            <action>
                <name>Step_2_Executive_Summary_MDU_Rejection_by_the_GM_of_OPS</name>
                <type>Alert</type>
            </action>
        </rejectionActions>
    </approvalStep>
    <approvalStep>
        <allowDelegate>false</allowDelegate>
        <approvalActions>
            <action>
                <name>Executive_Summary_MDU_Approval_by_the_SVP</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Status_SVP_Approved</name>
                <type>FieldUpdate</type>
            </action>
        </approvalActions>
        <assignedApprover>
            <approver>
                <name>jerry.clifft@dish.com</name>
                <type>user</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <description>Amir</description>
        <entryCriteria>
            <criteriaItems>
                <field>Executive_Summary__c.Total_Capex__c</field>
                <operation>lessOrEqual</operation>
                <value>100000.00</value>
            </criteriaItems>
            <criteriaItems>
                <field>Executive_Summary__c.Status__c</field>
                <operation>equals</operation>
                <value>GM Sales Approved-Pending SVP Review</value>
            </criteriaItems>
        </entryCriteria>
        <ifCriteriaNotMet>ApproveRecord</ifCriteriaNotMet>
        <label>SVP &lt; 100000 CapEx</label>
        <name>SVP_100000_CapEx</name>
        <rejectBehavior>
            <type>RejectRequest</type>
        </rejectBehavior>
        <rejectionActions>
            <action>
                <name>Executive_Summary_MDU_Rejection_by_the_SVP</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Status_SVP_Rejected</name>
                <type>FieldUpdate</type>
            </action>
        </rejectionActions>
    </approvalStep>
    <approvalStep>
        <allowDelegate>false</allowDelegate>
        <approvalActions>
            <action>
                <name>Executive_Summary_MDU_Approval_by_the_SVP</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Status_SVP_Approved_Pending_Review_EVP</name>
                <type>FieldUpdate</type>
            </action>
        </approvalActions>
        <assignedApprover>
            <approver>
                <name>jerry.clifft@dish.com</name>
                <type>user</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <description>Amir - High CapEx</description>
        <entryCriteria>
            <criteriaItems>
                <field>Executive_Summary__c.Total_Capex__c</field>
                <operation>greaterThan</operation>
                <value>100000.00</value>
            </criteriaItems>
            <criteriaItems>
                <field>Executive_Summary__c.Status__c</field>
                <operation>equals</operation>
                <value>GM Sales Approved-Pending SVP Review</value>
            </criteriaItems>
        </entryCriteria>
        <ifCriteriaNotMet>GotoNextStep</ifCriteriaNotMet>
        <label>SVP &gt; 100000 CapEx</label>
        <name>SVP_MT100000_CapEx</name>
        <rejectBehavior>
            <type>RejectRequest</type>
        </rejectBehavior>
        <rejectionActions>
            <action>
                <name>Executive_Summary_MDU_Rejection_by_the_SVP</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Status_Rejected_OPS_Director</name>
                <type>FieldUpdate</type>
            </action>
        </rejectionActions>
    </approvalStep>
    <approvalStep>
        <allowDelegate>false</allowDelegate>
        <approvalActions>
            <action>
                <name>Executive_Summary_MDU_Approved_by_EVP</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Status_EVP_Approved</name>
                <type>FieldUpdate</type>
            </action>
        </approvalActions>
        <assignedApprover>
            <approver>
                <name>john.duong@dish.com</name>
                <type>user</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <description>Brian Neylon (High Cap Ex.)</description>
        <entryCriteria>
            <criteriaItems>
                <field>Executive_Summary__c.RecordType</field>
                <operation>equals</operation>
                <value>Exec Summary In Progress</value>
            </criteriaItems>
            <criteriaItems>
                <field>Executive_Summary__c.Status__c</field>
                <operation>equals</operation>
                <value>SVP Approved - Pending EVP Review</value>
            </criteriaItems>
            <criteriaItems>
                <field>Executive_Summary__c.Total_Capex__c</field>
                <operation>greaterOrEqual</operation>
                <value>100000.00</value>
            </criteriaItems>
        </entryCriteria>
        <label>EVP &gt; 100000</label>
        <name>EVP_100000</name>
        <rejectBehavior>
            <type>RejectRequest</type>
        </rejectBehavior>
        <rejectionActions>
            <action>
                <name>Executive_Summary_MDU_Rejected_by_the_EVP</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Status_Rejected_EVP_Sales</name>
                <type>FieldUpdate</type>
            </action>
        </rejectionActions>
    </approvalStep>
    <description>Used by the front office to seek VP/EVP approval for MDU Direct deals. Update - GM to Director to VP approval process.</description>
    <emailTemplate>Brian_Neylon/Approval_Exec_Summary</emailTemplate>
    <enableMobileDeviceAccess>false</enableMobileDeviceAccess>
    <entryCriteria>
        <criteriaItems>
            <field>Executive_Summary__c.RecordType</field>
            <operation>equals</operation>
            <value>Exec Summary In Progress</value>
        </criteriaItems>
        <criteriaItems>
            <field>Executive_Summary__c.Status__c</field>
            <operation>equals</operation>
            <value>In Review (F.O. Manager),Rejected (OPS Director),Rejected (VP Sales),Rejected (SVP/EVP)</value>
        </criteriaItems>
        <criteriaItems>
            <field>Executive_Summary__c.Total_Capex__c</field>
            <operation>notEqual</operation>
        </criteriaItems>
    </entryCriteria>
    <finalApprovalActions>
        <action>
            <name>Update_Record_Type_Closed</name>
            <type>FieldUpdate</type>
        </action>
    </finalApprovalActions>
    <finalApprovalRecordLock>true</finalApprovalRecordLock>
    <finalRejectionActions>
        <action>
            <name>Update_Record_Type_Closed</name>
            <type>FieldUpdate</type>
        </action>
    </finalRejectionActions>
    <finalRejectionRecordLock>true</finalRejectionRecordLock>
    <initialSubmissionActions>
        <action>
            <name>Notify_FO_Manager</name>
            <type>Alert</type>
        </action>
        <action>
            <name>Status_FO_Review</name>
            <type>FieldUpdate</type>
        </action>
    </initialSubmissionActions>
    <label>FO MDU Executive Sum Apprvl 11-11-2019</label>
    <processOrder>1</processOrder>
    <recallActions>
        <action>
            <name>Executive_Summary_MDU_Recall</name>
            <type>Alert</type>
        </action>
        <action>
            <name>Status_Recalled</name>
            <type>FieldUpdate</type>
        </action>
        <action>
            <name>Update_Record_Type_Closed</name>
            <type>FieldUpdate</type>
        </action>
    </recallActions>
    <recordEditability>AdminOrCurrentApprover</recordEditability>
    <showApprovalHistory>true</showApprovalHistory>
</ApprovalProcess>
